using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Multijogador
{
    public class DescricaoDeJogo
    {
        //<GAME><GID>1</GID><GT>tictactoe</GT><ENDED>false</ENDED><WP>true</WP><#PLAYERS>0</#PLAYERS></GAME>
        public int identificadorDoJogo = -1;
        public String tipoDoJogo = "";
        public bool jogoEncerrado = true;
        public bool esperandoJogadores = false;
        public int jogadoresNoJogo = -1;

        public DescricaoDeJogo(String xmlDoJogo)
        {
            Regex exp = new Regex(@"<GID>(\d+)</GID><GT>(\w+)</GT><ENDED>(\w+)</ENDED><WP>(\w+)</WP><#PLAYERS>(\d+)</#PLAYERS>", RegexOptions.IgnoreCase);

            MatchCollection MatchList = exp.Matches(xmlDoJogo);
            if (MatchList.Count > 0)
            {
                identificadorDoJogo = int.Parse(MatchList[0].Groups[1].ToString());
                tipoDoJogo = MatchList[0].Groups[2].ToString();
                if (MatchList[0].Groups[3].ToString() == "false") jogoEncerrado = false;
                if (MatchList[0].Groups[4].ToString() == "true") esperandoJogadores = true;
                jogadoresNoJogo = int.Parse(MatchList[0].Groups[5].ToString());
            }
        }

        public String exibirDadosDoJogo(){
            return "Id: "+identificadorDoJogo.ToString()+", Tipo: "+tipoDoJogo+", Encerrado: " + jogoEncerrado.ToString()+", Esperando Jogadores: "+esperandoJogadores.ToString()+", Jogadores: "+jogadoresNoJogo.ToString();
        }
    }
}
